; Load COM environment
(vl-load-com)

; Create a Blue Circle using Visual LISP
(defun c:CreateCircle-VL ( / acadObj docObj spaceObj cenPoint circObj)
  ; Create a reference to AutoCAD
  (setq acadObj (vlax-get-acad-object))

  (princ acadObj)
  (terpri)
  
  ; Create a reference to the current drawing
  (setq docObj (vla-get-activedocument acadObj))

  (princ acadObj)
  (terpri)  
  (prompt "Determine current space")
  (terpri)
  
  ; Get a reference to the current space
  (if (= (vla-get-activespace docObj) acModelSpace)
    (setq spaceObj (vla-get-modelspace docObj))
    (setq spaceObj (vla-get-paperspace docObj))
  )

  (princ spaceObj)
  (terpri)  
  (prompt "Start object definition")
  (terpri)
  
  ; Create the center point for the circle
  (setq cenPoint (vlax-make-safearray vlax-vbdouble '(0 . 2)))
  (vlax-safearray-fill cenPoint '(5.0 5.0 0.0))

  (princ cenPoint)
  (terpri)
  
  ; Create a circle at 5,5 in a radius of 1.75
  (setq circObj (vla-addcircle spaceObj cenPoint 1.75))

  (princ circObj)
  (terpri)
  
  ; Change the color of the circle to blue
  (vla-put-color circObj 5)

  (prompt "End object definition")  
  (terpri)
 (princ)
)