; Define the values of some global variables
(setq *gVar1* "Global1"
      *gVar2* "Global2")

; Custom error handler for utility function
; Utilizes the command-s function.
(defun err_sub (msg)
  (if (/= msg "Function cancelled")
    (prompt (strcat "\nError: " msg
                    "\nUtilVar1: " *gVar1*
                    "\nUtilVar2: " *gVar2*)
    )
  )

  (command-s "._undo" "_e")
  (command-s "._u")

  ; Restore previous error handler
  (setq *error* old_err)
 (princ)
)

; Custom utility function
(defun util (mode / old_err *gVar1* *gVar2*)
  ; Command-s function being used in custom error handler
  (*push-error-using-stack*)

  (setq old_err *error*
        *error* err_sub)

  (command "._undo" "_group")

  (setq *gVar1* "Sub1"
        *gVar2* "Sub2")
  
  ;; Bad code here, get ready for an error if mode is T
  (if mode (/ 1 0))
  
  (command "._undo" "_e")
  
  ; Restore previous error handler
  (setq *error* old_err)

  ; End using *push-error-using-command*
  (*pop-error-mode*)
)

; Custom error handler for main function
; Utilizes the command function.
(defun err_main (msg)
  (if (/= msg "Function cancelled")
    (prompt (strcat "\nError: " msg
                    "\nMainVar1: " *gVar1*
                    "\nMainVar2: " *gVar2*)
    )
  )

  (command "._undo" "_e")
  (command "._u")
  
  ; Restore previous error handler
  (setq *error* old_err)
 (princ)
)


(defun c:ExampleErrorHandling ( / old_err *gVar1* *gVar2*)
  (setq old_err *error*
        *error* err_main)

  ; Command function being used in custom error handler
  (*push-error-using-command*)

  ; Set some local variables
  (setq *gVar1* "Local1"
        *gVar2* "Local2")

  (command "._undo" "_group")

  ; Call custom function which has some bad code, it T is passed
  (util nil)

  ; Bad code here
  (/ 1 0)

  (command "._undo" "_e")

  ; Restore previous error handler
  (setq *error* old_err)

  ; End using *push-error-using-command*
  (*pop-error-mode*)
)