; Draw two lines and a circle without undo grouping
(defun c:DrawObjects-NoUndoGrouping ( / )
  (command "._line" (list 0 0) (list 5 5) (list 0 5) "")
  (command "._circle" (getvar "lastpoint") 1)
)

; Draw two lines and a circle with undo grouping
(defun c:DrawObjects-UndoGrouping ( / )
  (command "._undo" "_be")
  (command "._line" (list 0 0) (list 5 5) (list 0 5) "")
  (command "._circle" (getvar "lastpoint") 1)
  (command "._undo" "_e")
)

; Draw two lines and a circle with undo grouping, and
; what happens in the case of an error
(defun c:DrawObjects-UndoGroupingNoErr ( / )
  (command "._undo" "_be")
  (command "._line" (list 0 0) (list 5 5) (list 0 5) "")

  
  (command "._circle" (getvar "lastpoint") (/ 10 0))
  (command "._undo" "_e")
)

; Draw two lines and a circle with undo grouping, and
; a custom error handler
(defun c:DrawObjects-UndoGroupingErr ( / old_err)
  ; Command function being used in custom error handler
  (*push-error-using-command*)

  ; Define custom error handler
  (defun my_err_handler (msg)
    (if (= (type msg) 'STR)
      (if (/= msg "Function cancelled")
        (prompt (strcat "\nerror: " msg))
      )
    )

    ; Restore previous error handler
    (if (/= old_err nil)
      (progn
	(while (= (getvar "CMDACTIVE") 1)
	  (command)
	)
	
	(command "._undo" "_e")
	(command "._u")
        (setq *error* old_err)
      )
    )
   (princ)
  )
  
  ; Define custom error handler
  (setq old_err *error*
	*error* my_err_handler)
  
  (command "._undo" "_be")
  (command "._line" (list 0 0) (list 5 5) (list 0 5) "")

  ; Error caused by not being able to divide by 0
  (command "._circle" (getvar "lastpoint") (/ 10 0))
  (command "._undo" "_e")

  ; Restore previous error handler
  (if (/= old_err nil)
    (setq *error* old_err)
  )

  ; End using *push-error-using-command*
  (*pop-error-mode*)
)