;; Returns the three letter language code from the product key
(defun returnLanguageCode ( / )
  (strcase
    (substr (vlax-product-key)
      (- (strlen (vlax-product-key)) 2)
    )
  )
)

; Main function body
(defun PromptForKeyword (/ languageCode keywords promptMsg)
  (setq languageCode (returnLanguageCode))

  ;; Get the keywords and prompt message based on language
  (cond ((= languageCode "409")
          (setq keywords "Blue White Red Green _Blue White Red Green"
                promptMsg "\nSpecify a color [Blue/White/Red/Green]: "
          )
        )
        ((= languageCode "40C")
          (setq keywords "blEu blAnc Rouge Vert _Blue White Red Green"
                promptMsg "\nSpcifier une couleur [blEu/blAnc/Rouge/Vert]: "
          )
        )
  )

  ;; Request input from the user
  (initget keywords)
  (setq kWordRetVal (strcase (getkword promptMsg)))

  ;; Display the global keyword name
  (alert kWordRetVal)
)

;; Define a global and local commands based on language code
(cond ((= (returnLanguageCode) "409")
        (vlax-add-cmd "PromptForKeyword" 'PromptForKeyword "PromptForKeyword")
      )
      ((= (returnLanguageCode) "40C")
        (vlax-add-cmd "PromptForKeyword" 'PromptForKeyword "InvitePourMotcle") ; Actual translation is "InvitePourMotcl"
      )
)
