;| The following is an example of adding a folder to the AutoCAD
   support file search path with the ACAD environment variable |;

;; Usage (appendSupportPath "c:\\my programs")
(defun appendSupportPath (folderName / curACADPaths)
  (if (vl-file-directory-p folderName)
    (progn
      (setq curACADPaths (getenv "ACAD"))
      (setenv "ACAD" (strcat curACADPaths folderName ";"))
    )
  )
)

;| The following is an example of adding a folder to the AutoCAD
   support file search path with the AutoCAD ActiveX library |;

;; Usage (appendSupportPathX "c:\\my programs")
(defun appendSupportPathX (folderName / acPrefFilesObj curACADPaths)
  (if (vl-file-directory-p folderName)
    (progn
      ;; Get the PreferencesFiles Object
      (setq acPrefFilesObj
	    (vla-get-Files (vla-get-Preferences (vlax-get-acad-object))))
    
      ;; Get the current SupportPath value
      (setq curACADPaths (vla-get-SupportPath acPrefFilesObj))

      ;; Append the new folder
      (vla-put-SupportPath acPrefFilesObj
	                   (strcat curACADPaths ";" folderName))
    )
  )
)